version: "3.7"
services:

  proxy:
    build:
      context: .
      dockerfile: Dockerfile-envoy-proxy
    networks:
      envoymesh:
        aliases:
          - envoy
    expose:
      - "1999"
      - "8001"
    ports:
      - "1999:1999"
      - "8001:8001"

  yugabyte:
    build:
      context: .
      dockerfile: Dockerfile-yugabyte
    networks:
      envoymesh:
        aliases:
          - ysql
    expose:
      - "5444"
    ports:
      - "5444:5433"

networks:
  envoymesh:
    name: envoymesh
